#!/bin/sh
dest_dir=/bootbank/PowerActPro/SlaveAgent
top_dest_dir=/bootbank/PowerActPro
FILE_USER=PowerAct_Pro.desktop
AUTOSTARTWAY=/etc/rc.local
TMP_AUTOSTARTWAY=./autostart_tmp
TMP_AUTOSTARTWAY2=./autostart_tmp2

bContinue=1

while test $bContinue -eq 1;
do
	echo -e "   Is it OK to uninstall the PowerAct Pro from this computer? [ y/n ] \\c";
        read reply </dev/tty
	case "$reply" in 
		[Yy])
			bContinue=0;
			if [ 2 -eq `grep -c "#Slave Auto Start" $AUTOSTARTWAY` ]
			then
				echo "   Stopping the Slave Agent firstly......" 
				$dest_dir/AgentManager stop 2>/dev/null
				ControlCenterID=`ps |grep ControlCenter |awk '{print $1}'`
				AgentManagerID=`ps |grep AgentManager |awk '{print $1}'` 
				uGuardID=`ps |grep uGuard |awk '{print $1}'`
				SlaveAgentID=`ps |grep SlaveAgent |awk '{print $1}'`
				kill -9  ${AgentManagerID} 2>/dev/null 
				kill -9  ${ControlCenterID} 2>/dev/null
				kill -9  ${uGuardID} 2>/dev/null
				kill -9  ${SlaveAgentID} 2>/dev/null
			else
				echo ""
				echo "	This computer have not installed PowerAct Pro Slave Agent." 
				echo "	So you can not do this operation!"
				echo ""
				exit 1
			fi
			;;
		[Nn])
			bContinue=0;
			exit -1; 
			;;
		*)
			echo ""
			echo "   Wrong input, try again..."
			echo ""
			;;
	esac
done
#unregister
sed '/#Slave Auto Start begin/,/#Slave Auto Start end/d' $AUTOSTARTWAY >$TMP_AUTOSTARTWAY
sed -n ':b;/^[[:blank:]]*$/b n;p;n;b b;:n;H;n;/^[[:blank:]]*$/b n;H;s/.*//;x;s/\n//;p;n;b b' $TMP_AUTOSTARTWAY >$TMP_AUTOSTARTWAY2
rm -f $TMP_AUTOSTARTWAY
mv $TMP_AUTOSTARTWAY2 $AUTOSTARTWAY
chmod 777 $AUTOSTARTWAY


#remove other files
if [ -f /root/.kde/Autostart/PowerAct_Pro.desktop ]; then
        rm -f /root/.kde/Autostart/PowerAct_Pro.desktop >/dev/null
fi


rm -rf /etc/.SLAVEPA2OMRON >/dev/null
rm -rf $dest_dir >/dev/null
rm -rf $top_dest_dir >/dev/null
rm -rf /etc/init.d/PowerActPro >/dev/null
